summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sci-mathematics/arb/Manifest1
-rw-r--r--sci-mathematics/arb/arb-2.11.1.ebuild55
-rw-r--r--sci-mathematics/arb/metadata.xml18
3 files changed, 74 insertions, 0 deletions
diff --git a/sci-mathematics/arb/Manifest b/sci-mathematics/arb/Manifest
new file mode 100644
index 00000000000..6023a2fe954
--- /dev/null
+++ b/sci-mathematics/arb/Manifest
@@ -0,0 +1 @@
+DIST arb-2.11.1.tar.gz 1248835 SHA256 de37f008fd154bd4b9c3fd7f5b0f13928cd109358d01959a98245fe33d08bf63 SHA512 7a014da5208b55f20c7a3cd3eb51070b09ae107b04cbbd6329925780c2ab4d7c38e1fb3619f21456fa806939818370fcae921f59eb013661b6bdd3d0971e3353 WHIRLPOOL 12cd12786e60a5f37da6c1623468e2f8908af2dfa553bc50261f6735e0513ab34400da3e06d99128b2197add6d371a9c1ea732012ae3bd5ab3bd97de6a18520f
diff --git a/sci-mathematics/arb/arb-2.11.1.ebuild b/sci-mathematics/arb/arb-2.11.1.ebuild
new file mode 100644
index 00000000000..bea3d8d89ec
--- /dev/null
+++ b/sci-mathematics/arb/arb-2.11.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="C library for arbitrary-precision interval arithmetic"
+HOMEPAGE="http://fredrikj.net/arb/"
+SRC_URI="https://github.com/fredrik-johansson/arb/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0/2"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-macos"
+IUSE="static-libs"
+
+RDEPEND="
+ dev-libs/gmp:0=
+ dev-libs/mpfr:0=
+ >=sci-mathematics/flint-2.5.0:=
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ # Not an autoconf configure script.
+ # Note that it appears to have been cloned from the flint configure script
+ # and that not all the options offered are valid.
+ tc-export CC AR CXX
+ ./configure \
+ --prefix="${EPREFIX}/usr" \
+ --with-flint="${EPREFIX}/usr" \
+ --with-gmp="${EPREFIX}/usr" \
+ --with-mpfr="${EPREFIX}/usr" \
+ $(use_enable static-libs static) || die
+}
+
+src_compile() {
+ emake verbose
+}
+
+src_test() {
+ # Have to set the library path otherwise a previous install of libarb may be loaded.
+ # This is in part a consequence of setting the soname/installnae I think.
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ DYLD_LIBRARY_PATH="${S}" emake AT= QUIET_CC= QUIET_CXX= QUIET_AR= check
+ else
+ LD_LIBRARY_PATH="${S}" emake AT= QUIET_CC= QUIET_CXX= QUIET_AR= check
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" LIBDIR="$(get_libdir)" install
+ use static-libs || prune_libtool_files --all
+ dodoc README.md
+}
diff --git a/sci-mathematics/arb/metadata.xml b/sci-mathematics/arb/metadata.xml
new file mode 100644
index 00000000000..5830a1d45f9
--- /dev/null
+++ b/sci-mathematics/arb/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci-mathematics@gentoo.org</email>
+ <name>Gentoo Mathematics Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ Arb is a C library for arbitrary-precision interval arithmetic,
+ using a midpoint-radius representation (“ball arithmetic”). It
+ supports real and complex numbers, polynomials, power series,
+ matrices, and evaluation of many transcendental functions. All
+ operations are done with automatic, rigorous error bounds.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">fredrik-johansson/arb</remote-id>
+ </upstream>
+</pkgmetadata>